summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorWilliam Breathitt Gray <vilhelm.gray@gmail.com>2019-10-10 13:38:29 -0400
committerJames Le Cuirot <chewi@gentoo.org>2019-10-12 15:23:08 +0100
commitff3f5b0931d9881a37b4645d684184fcaaad7aa9 (patch)
tree11c6547481cec9aebd57a4b54630f6469b042a96 /games-fps/freedoom
parentgames-fps/freedoom-data: version bump to 0.12.0 (diff)
downloadgentoo-ff3f5b0931d9881a37b4645d684184fcaaad7aa9.tar.gz
gentoo-ff3f5b0931d9881a37b4645d684184fcaaad7aa9.tar.bz2
gentoo-ff3f5b0931d9881a37b4645d684184fcaaad7aa9.zip
games-fps/freedoom: version bump to 0.12.0
Package-Manager: Portage-2.3.76, Repoman-2.3.17 Signed-off-by: William Breathitt Gray <vilhelm.gray@gmail.com> Signed-off-by: James Le Cuirot <chewi@gentoo.org>
Diffstat (limited to 'games-fps/freedoom')
-rw-r--r--games-fps/freedoom/freedoom-0.12.0.ebuild25
1 files changed, 25 insertions, 0 deletions
diff --git a/games-fps/freedoom/freedoom-0.12.0.ebuild b/games-fps/freedoom/freedoom-0.12.0.ebuild
new file mode 100644
index 00000000000..b9f2e765a9a
--- /dev/null
+++ b/games-fps/freedoom/freedoom-0.12.0.ebuild
@@ -0,0 +1,25 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DESCRIPTION="A complete free-content single-player focused game based on the Doom engine"
+HOMEPAGE="https://freedoom.github.io"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~x86"
+
+RDEPEND="
+ ~games-fps/freedoom-data-${PV}
+ || (
+ games-fps/gzdoom[nonfree(+)]
+ games-engines/odamex
+ games-fps/doomsday
+ games-fps/prboom-plus
+ )
+"
+
+pkg_postinst() {
+ elog "If you are looking for a multiplayer-focused deathmatch game, consider games-fps/freedm."
+}